<?php
/**
*
* @copyright (c) 2008 Ken F. Innes IV
* @license http://opensource.org/licenses/gpl-license.php GNU Public License 
*
*/

/**
* @ignore
*/
define('IN_PHPBB', true);
$phpbb_root_path = './';
$phpEx = substr(strrchr(__FILE__, '.'), 1);
include($phpbb_root_path . 'common.' . $phpEx);
include($phpbb_root_path . 'includes/db/db_tools.' . $phpEx);

// Start session management
$user->session_begin();
$auth->acl($user->data);
$user->setup('common');
if (!$auth->acl_get('a_'))
{
	trigger_error($user->lang['NOT_AUTHORISED']);
}
$message = '';
$error = false;
$sql_array = array();
$db->sql_return_on_error(true);
$db_tools = new phpbb_db_tools($db);
$db_tools->return_statements = true;

// SQL Statements
//---------------------------------------------------------------------------//
$sql = 'SELECT post_id, post_edit_locked, post_edit_reason'
		. ' FROM ' . POSTS_TABLE
		. ' WHERE post_edit_locked > 1';
$result = $db->sql_query($sql);
$row = array();
while ($row = $db->sql_fetchrow($result))
{
	$edit_info = explode("|", $row['post_edit_reason'], 4);
	$update_info['post_deleted_time']   = $edit_info[0];
	$update_info['post_deleted_user']   = $edit_info[1];
	$update_info['post_deleted_reason'] = $edit_info[2];
	$update_info['post_edit_reason']    = isset($edit_info[3]) ? $edit_info[3] : '';
	$update_info['post_edit_locked']    = $row['post_edit_locked'] & 0x01;
	$sql_array[] = 'UPDATE ' . POSTS_TABLE
					. ' SET ' . $db->sql_build_array('UPDATE', $update_info)
					. ' WHERE post_id=' . $row['post_id'];
}
//---------------------------------------------------------------------------//

// Language strings
$user->add_lang('install');
$user->lang['SQL_STATEMENT_SQL']     = $user->lang['SQL'];
$user->lang['SQL_STATEMENT_SUCCESS'] = $user->lang['DONE'];
$user->lang['SQL_STATEMENT_FAILURE'] = $user->lang['ERROR'];
$user->lang['SQL_RESULT_SUCCESS']	 = $user->lang['UPDATE_DB_SUCCESS'];
$user->lang['SQL_RESULT_FAILURE']	 = $user->lang['SOME_QUERIES_FAILED'];

// Begin executing SQL statements
foreach ($sql_array as $sql_query)
{
	$result = $db->sql_query($sql_query);
	$message .= '<span style="display:block;background-color:#FAFAFA;color:#333;font-family:\'Courier New\',monospace;padding-left:4px;padding-right:4px;"><span style="font-weight:bold;">' . $user->lang['SQL_STATEMENT_SQL'] . ': </span>' . $sql_query . '</span>';
	if ($result)
	{
		$message .= '<span style="color:green;font-weight:bold;">' . $user->lang['SQL_STATEMENT_SUCCESS'] . '!</span>';
	}
	else
	{
		$error = true;
		$db_error = $db->sql_error();
		$message .= '<span style="color:red;"><span style="font-weight:bold;">' . $user->lang['SQL_STATEMENT_FAILURE'] . ': </span>' . $db_error['message'] . '</span>';
	}
	$message .= '<br /><br />';
}

// Final result
if($error == true)
{
	$message = '<span style="color:red;">' . $user->lang['SQL_RESULT_FAILURE'] . '</span><br /><br />' . $message;
}
else
{
	$message .= '<span style="color:green;">' . $user->lang['SQL_RESULT_SUCCESS'] . '</span>';
}
trigger_error($message);

?>